# API Reference

## General

```@autodocs
Modules = [ArchGDAL]
Pages   = ["ArchGDAL.jl", "display.jl", "iterators.jl", "gcp.jl", "types.jl", "utils.jl"]
```

## [GDAL Datasets](@id API-GDAL-Datasets)

```@autodocs
Modules = [ArchGDAL]
Pages   = ["dataset.jl"]
```

## [Feature Data](@id API-Feature-Data)

```@autodocs
Modules = [ArchGDAL]
Pages   = ["feature.jl", "featuredefn.jl", "featurelayer.jl", "fielddefn.jl", "geometry.jl", "styletable.jl", "context.jl"]
```

## [Raster Data](@id API-Raster-Data)

```@autodocs
Modules = [ArchGDAL]
Pages   = ["array.jl", "colortable.jl", "rasterattributetable.jl", "rasterband.jl", "rasterio.jl"]
```

## [Spatial projections](@id API-Spatial-projections)

```@autodocs
Modules = [ArchGDAL]
Pages   = ["spatialref.jl"]
```

## [Utilities](@id API-Utilities)

```@autodocs
Modules = [ArchGDAL]
Pages   = ["utilities.jl"]
```

## [Format Drivers](@id API-Format-Drivers)

```@autodocs
Modules = [ArchGDAL]
Pages   = ["driver.jl"]
```

## [GeoInterface](@id API-GeoInterface)

```@autodocs
Modules = [ArchGDAL]
Pages   = ["geointerface.jl"]
```
